Purge pages on other wikis when cognate entry is added or removed.
Closed, ResolvedPublic11 Story Points

Description

When an entry is added to or removed from the central table, all pages in the table with the same key (including the added or removed entry) need to trigger a purge for the respective wiki page.

Taken from https://phabricator.wikimedia.org/T145412#2670625

Addshore created this task.Sep 28 2016, 9:30 AM
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptSep 28 2016, 9:30 AM
Addshore moved this task from Backlog to Next on the User-Addshore board.Sep 29 2016, 2:06 PM
Meno25 added a subscriber: Meno25.Oct 3 2016, 4:49 PM
Addshore moved this task from Next to In Progress on the User-Addshore board.

Change 314306 had a related patch set uploaded (by Addshore):
WIP DNM purge remote pages on changes

https://gerrit.wikimedia.org/r/314306

daniel added subscribers: ori, aaron, hoo.Oct 5 2016, 7:37 PM
daniel added a comment.Oct 5 2016, 7:43 PM

Actually, a full purge is not needed. The list of language links in the (cached) ParserOutput object needs to be updated. This can be done without re-parsing. I think Thiemo did something similar for Wikibase recently. I can't find the ticket, ask him about it.

hoo added a comment.EditedOct 5 2016, 7:45 PM

Actually, a full purge is not needed. The list of language links in the (cached) ParserOutput object needs to be updated. This can be done without re-parsing. I think Thiemo did something similar for Wikibase recently. I can't find the ticket, ask him about it.

I did in T44783 (and am still awaiting opinions!).

Change 314306 merged by jenkins-bot:
Purge remote pages on changes

https://gerrit.wikimedia.org/r/314306

hoo closed this task as Resolved.Nov 3 2016, 7:54 PM
hoo removed a project: Patch-For-Review.
hoo moved this task from Review to Done on the WMDE-QWERTY-Team-Board board.
Meno25 removed a subscriber: Meno25.Nov 4 2016, 7:04 AM